package com.supervision.knowsub.controller;

import com.supervision.knowsub.dto.HtmlContext;
import com.supervision.knowsub.etl.EtlProcessor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

@RestController
@RequestMapping("etl")
public class EtlController {

    @Autowired
    private EtlProcessor etlProcessor;

    @PostMapping("testLoadFile")
    public void testLoadFile(@RequestParam(name = "file") MultipartFile file) throws IOException {
        etlProcessor.loadFile(file.getInputStream());
    }

    @PostMapping("testLoadHtml")
    public void testLoadHtml(@RequestBody HtmlContext htmlContext){
        etlProcessor.loadHtml(htmlContext);
    }
}
